
step "I visit the supplier signup path" do
  visit new_supplier_registration_path
end

step "fill in the supplier signup form with new credentials" do
  find('#supplier_name').set 'Signup Supplier'
  find('#supplier_email').set 'signup_supplier@example.com'
  find('#supplier_password').set 'SignupSupplier'
  find('#supplier_password_confirmation').set 'SignupSupplier'
end

step "click on the supplier signup submit button" do
  find('[name="commit"]').click
end

step "a new unconfirmed supplier with the new signup credentials should be created" do
  @signup_supplier = Supplier.find_by_email('signup_supplier@example.com')
  @signup_supplier.should be_present
  @signup_supplier.should_not be_confirmed
end

step "a supplier signup confirmation mail should be sent containing a link to the token" do
  mail = ActionMailer::Base.deliveries.last
  mail.should be_present
  mail.body.should match /confirmation_token=#{@signup_supplier.confirmation_token}/
end

step "I visit the supplier signup confirmation path with the correct token" do
  visit supplier_confirmation_path(confirmation_token: @signup_supplier.confirmation_token)
end

step "the new signup supplier should be confirmed" do
  @signup_supplier.reload
  @signup_supplier.should be_confirmed
end
